Ask Your Question
0

cannot create instance no nova-compute in nova services

asked 2015-03-12 04:28:05 -0600

binou gravatar image

hi , please i need a help

i cannot create instance after installing trove.there is not a nova compute when i do nova-manage service list et get this

Binary Host Zone Status State Updated_At nova-conductor ubuntu-VirtualBox internal enabled :-) 2015-03-10 14:16:57 nova-cert ubuntu-VirtualBox internal enabled :-) 2015-03-10 14:16:56 nova-scheduler ubuntu-VirtualBox internal enabled :-) 2015-03-10 14:17:00 nova-consoleauth ubuntu-VirtualBox internal enabled :-) 2015-03-10 14:17:01

i tried to install the nova compute packages but was not be able to do it.

how can i fix it?

edit retag flag offensive close merge delete

Comments

What errors do you get when trying to install nova compute packages?

lnxslck gravatar imagelnxslck ( 2015-03-12 04:36:39 -0600 )edit

1 answer

Sort by ยป oldest newest most voted
0

answered 2015-03-12 09:54:25 -0600

binou gravatar image

here is the nova compute logs i finally found it in the file /opt/stack/logs/nova-compute

File "/opt/stack/nova/nova/virt/libvirt/driver.py", line 546, in init_host self._version_to_string(MIN_LIBVIRT_VERSION)) NovaException: Nova requires libvirt version 0.9.11 or greater. 2015-03-10 13:19:42.379 ERROR nova.openstack.common.threadgroup [req-9433abde-136a-482c-bd93-1d7220150edf None None] Nova requires libvirt version 0.9.11 or greater. 2015-03-10 13:19:42.379 TRACE nova.openstack.common.threadgroup Traceback (most recent call last): 2015-03-10 13:19:42.379 TRACE nova.openstack.common.threadgroup File "/opt/stack/nova/nova/openstack/common/threadgroup.py", line 145, in wait 2015-03-10 13:19:42.379 TRACE nova.openstack.common.threadgroup x.wait() 2015-03-10 13:19:42.379 TRACE nova.openstack.common.threadgroup File "/opt/stack/nova/nova/openstack/common/threadgroup.py", line 47, in wait 2015-03-10 13:19:42.379 TRACE nova.openstack.common.threadgroup return self.thread.wait() 2015-03-10 13:19:42.379 TRACE nova.openstack.common.threadgroup File "/usr/local/lib/python2.7/dist-packages/eventlet/greenthread.py", line 175, in wait 2015-03-10 13:19:42.379 TRACE nova.openstack.common.threadgroup return self._exit_event.wait() 2015-03-10 13:19:42.379 TRACE nova.openstack.common.threadgroup File "/usr/local/lib/python2.7/dist-packages/eventlet/event.py", line 121, in wait 2015-03-10 13:19:42.379 TRACE nova.openstack.common.threadgroup return hubs.get_hub().switch() 2015-03-10 13:19:42.379 TRACE nova.openstack.common.threadgroup File "/usr/local/lib/python2.7/dist-packages/eventlet/hubs/hub.py", line 294, in switch 2015-03-10 13:19:42.379 TRACE nova.openstack.common.threadgroup return self.greenlet.switch() 2015-03-10 13:19:42.379 TRACE nova.openstack.common.threadgroup File "/usr/local/lib/python2.7/dist-packages/eventlet/greenthread.py", line 214, in main 2015-03-10 13:19:42.379 TRACE nova.openstack.common.threadgroup result = function(args, *kwargs) 2015-03-10 13:19:42.379 TRACE nova.openstack.common.threadgroup File "/opt/stack/nova/nova/openstack/common/service.py", line 491, in run_service 2015-03-10 13:19:42.379 TRACE nova.openstack.common.threadgroup service.start() 2015-03-10 13:19:42.379 TRACE nova.openstack.common.threadgroup File "/opt/stack/nova/nova/service.py", line 164, in start 2015-03-10 13:19:42.379 TRACE nova.openstack.common.threadgroup self.manager.init_host() 2015-03-10 13:19:42.379 TRACE nova.openstack.common.threadgroup File "/opt/stack/nova/nova/compute/manager.py", line 1189, in init_host 2015-03-10 13:19:42.379 TRACE nova.openstack.common.threadgroup self.driver.init_host(host=self.host) 2015-03-10 13:19:42.379 TRACE nova.openstack.common.threadgroup File "/opt/stack/nova/nova/virt/libvirt/driver.py", line 546, in init_host 2015-03-10 13:19:42.379 TRACE nova.openstack.common.threadgroup self._version_to_string(MIN_LIBVIRT_VERSION)) 2015-03-10 13:19:42.379 TRACE nova.openstack.common.threadgroup NovaException: Nova requires libvirt version 0.9.11 or greater. 2015-03-10 13:19:42.379 TRACE nova.openstack.common.threadgroup

edit flag offensive delete link more

Comments

Well what version of libvirt do you have?

lnxslck gravatar imagelnxslck ( 2015-03-12 10:25:23 -0600 )edit

i have the version 0.9.8

binou gravatar imagebinou ( 2015-03-12 10:55:40 -0600 )edit

it seems that it is a matter of version of the libvirt how can i fix it? how can i include the latest or compatible version of libvirt?

binou gravatar imagebinou ( 2015-03-12 10:58:34 -0600 )edit

Maybe if you enable your testing repository you'll get a new libvirt package.

lnxslck gravatar imagelnxslck ( 2015-03-12 13:21:30 -0600 )edit

i got the same error by enabling testing did you mean adding ENABLE_SERVICE tempest in the locarrc file? and how can i upgrade libvirt to the latest version?

binou gravatar imagebinou ( 2015-03-13 03:49:50 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2015-03-12 04:28:05 -0600

Seen: 400 times

Last updated: Mar 12 '15